%define name lshw
%define version 2.16
%define realversion B.0%{version}
%define release %mkrel 1

Summary: A hardware lister
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ezix.org/software/files/%{name}-%{realversion}.tar.xz
License: GPL
Group: System/Kernel and hardware
Url: http://ezix.sourceforge.net/software/lshw.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
lshw (Hardware Lister) is a tool to provide detailed information 
on the hardware configuration of the machine.

%package gui
Summary: HardWare LiSter (GUI version)
Group:  System/Kernel and hardware
Requires: %{name}
Requires: gtk+2
BuildRequires: %{_lib}gtk+2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}sqlite3-devel
%description gui
This package provides a graphical user interface to lshw

%prep
%setup -q -n %{name}-%{realversion}
find -type f | xargs chmod 644
find -type d | xargs chmod 755

%build
make
make gui

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT
make PREFIX=%_prefix SBINDIR=%_sbindir MANDIR=%_mandir DESTDIR=$RPM_BUILD_ROOT install-gui

# menu
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
command="kdsu gtk-lshw" \
needs="x11" \
section="More Applications/Monitoring" \
title="Hardware LiSter" \
icon="harddrake.png" \
longtitle="Hardware Lister is a tool to provide detailed information"
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/gtk-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=Hardware Lister is a tool to provide detailed information
Exec=gksu gtk-lshw
Icon=harddrake.png
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;X-MandrivaLinux-System-Configuration-Hardware;HardwareSettings;
EOF

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/lshw
%dir %{_datadir}/lshw
%{_datadir}/lshw/*.txt
%{_datadir}/lshw/*.ids
%{_menudir}/lshw
%{_datadir}/locale/fr/LC_MESSAGES/lshw.mo
%attr(644,root,root) %{_mandir}/man1/lshw.1.bz2

%files gui
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/gtk-lshw
%{_datadir}/lshw/artwork
%{_datadir}/lshw/ui/gtk-lshw.ui
%{_datadir}/applications/gtk-%{name}.desktop

%changelog
* Sun Feb 26 2012 Neal <nealbrks0 at gmail dot com> 2.16-1pclos2012
- process

* Sat Feb 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.16-1_archie_2011
- 2.16

* Wed Dec 08 2010 Texstar <texstar at gmail.com> 2.15-1pclos2010
- 2.15

* Wed Sep 22 2010 Texstar <texstar at gmail.com> 2.14-1pclos2010
- 2.14


